%define upstream_name    CryptX
%define upstream_version 0.086

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Symmetric cipher SAFER_SK128, key size: 128 bits (Crypt::CBC compliant)
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MIK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
Cryptography in CryptX is based on https://github.com/libtom/libtomcrypt

Currently available modules:

* * Ciphers - see Crypt::Cipher and related modules

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Mon May 05 2025 tv <tv> 0.86.0-1.mga10
+ Revision: 2181092
- update to 0.086

* Mon Feb 10 2025 tv <tv> 0.85.0-1.mga10
+ Revision: 2146549
- update to 0.085

* Sat Jan 25 2025 tv <tv> 0.84.0-1.mga10
+ Revision: 2142195
- update to 0.084

* Wed Oct 09 2024 tv <tv> 0.82.0-1.mga10
+ Revision: 2104249
- update to 0.082

* Thu Sep 12 2024 tv <tv> 0.81.0-1.mga10
+ Revision: 2095259
- update to 0.081

* Thu Aug 22 2024 neoclust <neoclust> 0.80.0-3.mga10
+ Revision: 2088018
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.80.0-2.mga10
+ Revision: 2010587
- Rebuild for perl-5.38

* Wed Oct 11 2023 tv <tv> 0.80.0-1.mga10
+ Revision: 1994724
- update to 0.080

* Tue Aug 29 2023 tv <tv> 0.78.0-1.mga10
+ Revision: 1980939
- update to 0.078

* Sat Aug 27 2022 tv <tv> 0.77.0-1.mga9
+ Revision: 1881112
- update to 0.077

* Tue Jun 07 2022 umeabot <umeabot> 0.76.0-3.mga9
+ Revision: 1861721
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.76.0-2.mga9
+ Revision: 1796840
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 0.76.0-1.mga9
+ Revision: 1767720
- update to 0.076

* Mon Dec 27 2021 tv <tv> 0.75.0-1.mga9
+ Revision: 1764461
- update to 0.075

* Tue Nov 09 2021 tv <tv> 0.74.0-1.mga9
+ Revision: 1755147
- update to 0.074

* Tue Jul 20 2021 tv <tv> 0.73.0-1.mga9
+ Revision: 1737109
- update to 0.073

* Mon May 24 2021 umeabot <umeabot> 0.72.0-2.mga9
+ Revision: 1726496
- Rebuild for perl 5.34

* Tue May 04 2021 tv <tv> 0.72.0-1.mga9
+ Revision: 1721205
- update to 0.072

* Fri Apr 02 2021 tv <tv> 0.71.0-1.mga9
+ Revision: 1712563
- update to 0.071

* Thu Feb 25 2021 tv <tv> 0.70.0-1.mga9
+ Revision: 1690217
- update to 0.070

* Wed Aug 26 2020 tv <tv> 0.69.0-1.mga8
+ Revision: 1619068
- update to 0.069

* Wed Jun 17 2020 umeabot <umeabot> 0.68.0-2.mga8
+ Revision: 1594390
- Rebuild for perl 5.32

* Thu Mar 12 2020 tv <tv> 0.68.0-1.mga8
+ Revision: 1555689
- update to 0.068

* Fri Feb 21 2020 umeabot <umeabot> 0.67.0-2.mga8
+ Revision: 1547839
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 0.67.0-1.mga8
+ Revision: 1488478
- update to 0.067

* Tue Oct 22 2019 tv <tv> 0.66.0-1.mga8
+ Revision: 1455197
- update to 0.066
- update to 0.065

* Mon Aug 26 2019 tv <tv> 0.64.0-2.mga8
+ Revision: 1432887
- rebuild with perl-5.30

* Sat Jun 29 2019 shlomif <shlomif> 0.64.0-1.mga8
+ Revision: 1415459
- update to 0.064

* Wed Nov 28 2018 tv <tv> 0.63.0-1.mga7
+ Revision: 1336506
- update to 0.063

* Tue Oct 30 2018 tv <tv> 0.62.0-1.mga7
+ Revision: 1326649
- update to v0.062

* Fri Sep 21 2018 umeabot <umeabot> 0.61.0-3.mga7
+ Revision: 1292645
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.61.0-2.mga7
+ Revision: 1249045
- Fix file list
- Rebuild for perl 5.28

* Fri Jun 22 2018 shlomif <shlomif> 0.61.0-1.mga7
+ Revision: 1238908
- update to 0.061

* Sat May 05 2018 shlomif <shlomif> 0.60.0-1.mga7
+ Revision: 1226414
- update to 0.060

* Mon Apr 09 2018 kekepower <kekepower> 0.59.0-1.mga7
+ Revision: 1216677
- Update to version 0.059

* Wed Mar 07 2018 shlomif <shlomif> 0.58.0-1.mga7
+ Revision: 1207184
- update to 0.058

* Sun Feb 25 2018 shlomif <shlomif> 0.57.0-1.mga7
+ Revision: 1204913
- update to 0.057

* Tue Dec 26 2017 shlomif <shlomif> 0.56.0-1.mga7
+ Revision: 1185262
- update to 0.056

* Sun Dec 10 2017 shlomif <shlomif> 0.55.0-1.mga7
+ Revision: 1182005
- update to 0.055

* Tue Oct 24 2017 shlomif <shlomif> 0.54.0-1.mga7
+ Revision: 1173475
- update to 0.054

* Mon Oct 02 2017 tv <tv> 0.53.0-3.mga7
+ Revision: 1163732
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 guillomovitch <guillomovitch> 0.53.0-2.mga7
+ Revision: 1158911
- new version 0.053

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-2.mga7
+ Revision: 1148915
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.50.0-1.mga7
+ Revision: 1129929
- update to 0.050
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat May 28 2016 shlomif <shlomif> 0.34.0-1.mga6
+ Revision: 1019198
- New version 0.034

* Sun May 08 2016 shlomif <shlomif> 0.32.0-1.mga6
+ Revision: 1010576
- update to 0.032

* Sat Apr 30 2016 shlomif <shlomif> 0.30.0-1.mga6
+ Revision: 1008122
- imported package perl-CryptX

